<div class="row faded" *ngIf="loaded">
  <div class="col-md-12">
    <div class="row">
      <div class="col-5">
        <h6 class="page-title m-0">Bienvenido</h6>
        <small class="text-muted">Revisa la ultima informacion</small>
      </div>
      <div class="col text-right ml-auto">
        <button class="btn btn-info btn-sm" [routerLink]="['/dashboard/pagos']">
          Pagos y Facturas
        </button>
      </div>
    </div>
    <!-- Start Row -->
    <div class="row mt-3">
      <div class="col-lg-4">
        <div class="card mt-2 mt-lg-0 border-top-0 bg-accent-top bg-accent-info">
          <div class="card-body py-3">
            <div class="card-text mb-3">
              <h5 class="text-info float-right">{{ service.data[0]?.residencia?.total || '0' }}</h5>
              <h6 class="card-title m-0">Residencias</h6>
              <small class="card-subtitle font-sm text-muted">Total de residencias</small>
            </div>
            <div class="progress progress-sm w-100">
              <div class="progress-bar progress-bar-blow bg-info w-75"></div>
            </div>
            <div class="d-flex justify-content-between mt-1">
              <small class="font-xs text-secondary">Poblada</small>
              <small class="font-xs text-secondary">
                {{ pobladaPorciento | percent:'2.1-1' || '0' }}
              </small>
            </div>
          </div>
        </div>
      </div>
      <div class="col-lg-4">
        <div class="card mt-2 mt-lg-0 border-top-0 bg-accent-top bg-accent-teal">
          <div class="card-body py-3">
            <div class="card-text mb-3">
              <h5 class="text-teal float-right">{{ service.data[0]?.residente?.total || '0' }}</h5>
              <h6 class="card-title m-0">Residentes</h6>
              <small class="card-subtitle font-sm text-muted">Residentes por casa</small>
            </div>
            <div class="progress progress-sm w-100">
              <div class="progress-bar progress-bar-blow bg-teal w-25"></div>
            </div>
            <div class="d-flex justify-content-between mt-1">
              <small class="font-xs text-secondary">Promedio</small>
              <small class="font-xs text-secondary">
                {{ residentePorCasa | percent:'2.1-1' || '0' }}
              </small>
            </div>
          </div>
        </div>
      </div>
      <div class="col-lg-4">
        <div class="card mt-2 mt-lg-0 border-top-0 bg-accent-top bg-accent-purple">
          <div class="card-body py-3">
            <div class="card-text mb-3">
              <h5 class="text-purple float-right">{{ service.data[0]?.vehiculo?.total || '0'}}</h5>
              <h6 class="card-title m-0">Vehiculos</h6>
              <small class="card-subtitle font-sm text-muted">Vehiculos por residencia</small>
            </div>
            <div class="progress progress-sm w-100">
              <div class="progress-bar progress-bar-blow bg-purple w-50"></div>
            </div>
            <div class="d-flex justify-content-between mt-1">
              <small class="font-xs text-secondary">Promedio</small>
              <small class="font-xs text-secondary">
                {{ vehiculoPorCasa | percent:'2.1-1' || '0' }}
              </small>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- End Row -->

    <!-- Start Row -->
    <div class="row mt-3">
      <div class="col-md-12">
        <div class="card">
          <div class="card-header d-flex align-items-center">
            <h6 class="card-title m-0">Flujos Mensuales</h6>
            <!--<button class="btn btn-plain-info btn-icon btn-sm mr-2 ml-auto" ngbTooltip="Reporte">
              <i class="mdi mdi-file-document-edit"></i>
            </button>-->
            <button class="btn btn-plain-info btn-icon btn-sm" ngbTooltip="Actualizar" (click)="service.load()">
              <i class="mdi mdi-cached"></i>
            </button>
          </div>
          <div class="card-body">
            <div class="d-flex">
              <div class="card border-0 bg-transparent">
                <div class="card-body">
                  <small class="card-subtitle text-secondary">Este Mes</small>
                  <div class="d-flex align-items-center">
                    <h4>{{ service.data[0]?.visita?.thisMonth?.count || '0'}}</h4>
                    <span class="badge badge-sm ml-2 mb-1 text-white"
                      [ngClass]="[visitaMejoras?.thisMonth > 0 ? 'badge-success' : 'badge-danger']">
                      {{ visitaMejoras?.thisMonth | percent:'2.1-1' || '0' }}
                    </span>
                  </div>
                </div>
              </div>
              <div class="divider-vertical my-2" style="height: 50px;"></div>
              <div class="card border-0 bg-transparent">
                <div class="card-body">
                  <small class="card-subtitle text-secondary">Pasado Mes</small>
                  <div class="d-flex align-items-center">
                    <h4>{{ service.data[0]?.visita?.lastMonth?.count || '0'}}</h4>
                    <span class="badge badge-danger badge-sm ml-2 mb-1 text-white"
                      [ngClass]="[visitaMejoras?.lastMonth > 0 ? 'badge-success' : 'badge-danger']">
                      {{ visitaMejoras?.lastMonth | percent:'2.1-1' || '0' }}
                    </span>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <apx-chart [series]="dataColumnChart?.series" [chart]="dataColumnChart?.chart"
                  [dataLabels]="dataColumnChart?.dataLabels" [plotOptions]="dataColumnChart?.plotOptions"
                  [yaxis]="dataColumnChart?.yaxis" [legend]="dataColumnChart?.legend" [fill]="dataColumnChart?.fill"
                  [stroke]="dataColumnChart?.stroke" [tooltip]="dataColumnChart?.tooltip"
                  [xaxis]="dataColumnChart?.xaxis">
                </apx-chart>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- End Row -->

    <!-- Start Row -->
    <div class="row mt-3">
      <div class="col-md-7 col-lg-4">
        <div class="card">
          <div class="card-body py-3">
            <h6 class="card-title m-0">Poblacion Residencial</h6>
            <small class="card-subtitle text-secondary">Visualiza residentes y residencias de los pasados meses.</small>
            <img src="assets/img/charts/chart5.png" alt="chart" class="w-100 ml-n2 mt-3">
            <ul class="list-group border-0 mt-3">
              <h6 class="mt-1 font-md">Residentes ........................................</h6>
              <li class="list-group-item d-flex align-items-center px-3 px-lg-0 px-xl-4">
                <i class="mdi mdi-picture-in-picture-top-right mdi-30px bg-danger text-white p-1 border border-danger-darken line-height-1"></i>
                <div class="card-text mx-4 mx-sm-3 mx-xl-4">
                  <h6 class="card-title m-0 font-md">
                    Residentes Registrados&nbsp;
                    {{ residentePorMes.lastMonth || '0' }}
                  </h6>
                  <small class="card-subtitle text-muted font-xs">Mes Pasado</small>
                </div>
              </li>
              <li class="list-group-item d-flex align-items-center px-3 px-lg-0 px-xl-4">
                <i class="mdi mdi-cube mdi-30px bg-info text-white p-1 border border-info-darken line-height-1"></i>
                <div class="card-text mx-4 mx-sm-3 mx-xl-4">
                  <h6 class="card-title m-0 font-md">
                    Residentes Registrados&nbsp;
                    {{ residentePorMes.beforeLastMonth || '0' }}
                  </h6>
                  <small class="card-subtitle text-muted font-xs">Antes del Mes Pasado</small>
                </div>
              </li>
              <h6 class="mt-1 font-md">Residencias ........................................</h6>
              <li class="list-group-item d-flex align-items-center px-3 px-lg-0 px-xl-4">
                <i
                  class="mdi mdi-cube-send mdi-30px bg-success text-white p-1 border border-success-darken line-height-1"></i>
                <div class="card-text mx-4 mx-sm-3 mx-xl-4">
                  <h6 class="card-title m-0 font-md">
                    Residencias Registradas&nbsp;
                    {{ residenciaPorMes.lastMonth || '0' }}
                  </h6>
                  <small class="card-subtitle text-muted font-xs">Mes Pasado</small>
                </div>
              </li>
              <li class="list-group-item d-flex align-items-center px-3 px-lg-0 px-xl-4">
                <i class="mdi mdi-cube-scan mdi-30px bg-warning text-dark p-1 border border-warning-darken line-height-1"></i>
                <div class="card-text mx-4 mx-sm-3 mx-xl-4">
                    <h6 class="card-title m-0 font-md">
                      Residencias Registradas&nbsp;
                      {{ residenciaPorMes.beforeLastMonth || '0' }}
                    </h6>
                    <small class="card-subtitle text-muted font-xs">Antes del Mes Pasado</small>
                </div>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <div class="col-md-5 col-lg-4 my-3 my-lg-0">
        <div class="row">
          <div class="col-md-12">
            <div class="card card-danger card-hover">
              <div class="card-body p-0">
                <img src="assets/img/charts/chart13.png" alt="chart" class="card-img" style="height: 100px;">
                <div class="card-img-overlay py-2 px-3">
                  <span class="card-subtitle">Calles</span>
                  <h5 class="card-title">{{ service.data[0]?.calle?.total || '0'}}</h5>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-md-12">
            <div class="card card-hover border-0 shadow-sm" style="border-top: 4px solid #00a8ff !important;">
              <div class="card-body p-0">
                <img src="assets/img/charts/chart4.png" alt="chart" class="card-img w-75" style="height: 100px;">
                <div class="card-img-overlay p-3 text-right">
                  <span class="card-subtitle text-secondary m-0 bg-white font-sm">Usuarios</span>
                  <h5 class="card-title pb-2">
                    {{ service.data[0]?.usuario?.total || '0' }}
                  </h5>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="row mt-3">
          <div class="col-md-12">
            <div class="card">
              <div class="card-header">
                <h6 class="m-0">Promedio de Residentes</h6>
              </div>
              <div class="card-body px-0 py-2">
                <ul class="list-group border-0">
                  <li class="list-group-item flex-wrap">
                    <small class="d-flex align-items-center w-100">
                      <i class="mdi mdi-account-circle-outline mdi-18px"></i>&nbsp;Propietarios
                      <span class="badge badge-orange text-white ml-auto">
                        {{ tipoResidentePorciento.propietario | percent:'2.1-1' || '0' }}
                      </span>
                    </small>
                    <div class="progress progress-sm w-100">
                      <div class="progress-bar bg-orange" [style]="'width:'+[tipoResidentePorciento.propietario * 100]+'%'"></div>
                    </div>
                  </li>
                  <li class="list-group-item flex-wrap">
                    <small class="d-flex align-items-center w-100">
                      <i class="mdi mdi-account-group-outline mdi-18px"></i>&nbsp;Inquilinos
                      <span class="badge badge-info ml-auto">
                        {{ tipoResidentePorciento.inquilino | percent:'2.1-1' || '0' }}
                      </span>
                    </small>
                    <div class="progress progress-sm w-100">
                      <div class="progress-bar bg-info" [style]="'width:'+[tipoResidentePorciento.inquilino * 100]+'%'"></div>
                    </div>
                  </li>
                  <li class="list-group-item flex-wrap">
                    <small class="d-flex align-items-center w-100">
                      <i class="mdi mdi-account-child-outline mdi-18px"></i>&nbsp;Habitantes
                      <span class="badge badge-success text-white ml-auto">
                        {{ tipoResidentePorciento.habitante | percent:'2.1-1' || '0' }}
                      </span>
                    </small>
                    <div class="progress progress-sm w-100">
                      <div class="progress-bar bg-success" [style]="'width:'+[tipoResidentePorciento.habitante * 100]+'%'"></div>
                    </div>
                  </li>
                  <li class="list-group-item flex-wrap">
                    <small class="d-flex align-items-center w-100">
                      <i class="mdi mdi-account-cancel-outline mdi-18px"></i>&nbsp;Otros
                      <span class="badge badge-dark text-white ml-auto">
                        {{ tipoResidentePorciento.otros | percent:'2.1-1' || '0' }}
                      </span>
                    </small>
                    <div class="progress progress-sm w-100">
                      <div class="progress-bar bg-dark" [style]="'width:'+[tipoResidentePorciento.otros * 100]+'%'"></div>
                    </div>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-sm-10 col-lg-4 mx-auto mt-3 mt-lg-0 mx-lg-0">
        <div class="card">
          <div class="card-header d-flex align-items-center">
            <h6 class="card-title m-0">Recidencias</h6>
            <!--<button class="btn btn-plain-info btn-icon btn-sm mr-2 ml-auto" ngbTooltip="Reporte">
              <i class="mdi mdi-file-document-edit"></i>
            </button> -->
            <button class="btn btn-plain-info btn-icon btn-sm" ngbTooltip="Actualizar" (click)="service.load()">
              <i class="mdi mdi-cached"></i>
            </button>
          </div>
          <div class="card-body">
            <div class="row">
              <div class="col-md-12">
                <apx-chart [series]="dataRadialChart?.series" [chart]="dataRadialChart?.chart"
                  [plotOptions]="dataRadialChart?.plotOptions" [labels]="dataRadialChart?.labels">
                </apx-chart>
              </div>
            </div>
            <div class="divider-horizontal"></div>
            <div class="row">
              <div class="col-md-12">
                <ul class="list-group border-0">
                  <li class="list-group-item">
                    <span class="badge badge-sm badge-danger badge-square border border-danger-darken mr-1"></span>
                    <small class="text-secondary">Apartamento</small>
                    <small class="text-muted float-right">{{ service.data[0]?.residencia?.apartamento || '0' }}</small>
                  </li>
                  <li class="list-group-item">
                    <span class="badge badge-sm badge-purple badge-square border border-purple-darken mr-1"></span>
                    <small class="text-secondary">Casa</small>
                    <small class="text-muted float-right">{{ service.data[0]?.residencia?.casa || '0' }}</small>
                  </li>
                  <li class="list-group-item">
                    <span class="badge badge-sm badge-orange badge-square border border-orange-darken mr-1"></span>
                    <small class="text-secondary">Negocio</small>
                    <small class="text-muted float-right">{{ service.data[0]?.residencia?.negocio || '0' }}</small>
                  </li>
                  <li class="list-group-item">
                    <span class="badge badge-sm badge-teal badge-square border border-teal-darken mr-1"></span>
                    <small class="text-secondary">Desconocido</small>
                    <small class="text-muted float-right">{{ service.data[0]?.residencia?.otros || '0' }}</small>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- End Row -->

    <!-- Start Row -->
    <div class="row mt-3 mb-5">
      <div class="col-lg-7 col-xl-8 mb-3 mb-lg-0">
        <div class="card" style="height: 340px;">
          <div class="card-body p-3">
            <div class="d-flex justify-content-between align-items-center">
              <div class="card-text">
                <h6 class="card-title m-0">Visitas Recibidas</h6>
                <small class="card-subtitle text-secondary">Ultimas visitas recibidas mensuales</small>
              </div>
              <div class="btn-group btn-group-sm btn-group-toggle" ngbRadioGroup name="radioGroup" [(ngModel)]="model">
                <label for="radio1" ngbButtonLabel class="btn-plain-dark border-0">
                  <input type="radio" name="radio" id="radio1" ngbButton [value]="1">
                  Este Mes
                </label>
                <label for="radio2" ngbButtonLabel class="btn-plain-dark border-0">
                  <input type="radio" name="radio" id="radio2" ngbButton [value]="2">
                  Mes Pasado
                </label>
                <label for="radio3" ngbButtonLabel class="btn-plain-dark border-0">
                  <input type="radio" name="radio" id="radio3" ngbButton [value]="3">
                  Anterior
                </label>
              </div>
            </div>
            <table class="table table-striped mt-3">
              <thead>
                <tr>
                  <th>Nombre</th>
                  <th>Llegada</th>
                  <th>Residencia</th>
                  <th>Reportado</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let visita of ultimasVisitas">
                  <td>{{ visita.VisitanteNombre }}</td>
                  <td>{{ (visita.Llegada | date:'dd-MM-yyyy HH:mm') || '--' }}</td>
                  <td>{{ visita.ResidenciaNumero || '--' }}</td>
                  <td>
                    <span class="badge badge-sm" [ngClass]="[visita.Reportado ? 'badge-danger' : 'badge-success']">
                      {{ visita.Reportado ? 'Reportado' : 'Sin Reportar' }}
                    </span>
                  </td>
                </tr>
              </tbody>
              <tfoot>
                <tr>
                  <td colspan="99" class="text-center" *ngIf="ultimasVisitas?.length === 0">
                    No Hay Registros
                  </td>
                </tr>
              </tfoot>
            </table>
          </div>
        </div>
      </div>
      <div class="col-lg-5 col-xl-4 mt-3 mt-md-0">
        <div class="card flex-row">
          <div class="card-header text-vertical bg-dark text-white font-weight-bold">
            Residentes
          </div>
          <div class="card-body order-first d-flex flex-column">
            <div class="row mt-3">
              <div class="col-md-12">
                <apx-chart [series]="dataPieChart?.series" [chart]="dataPieChart?.chart" [labels]="dataPieChart?.labels"
                  [colors]="dataPieChart?.colors">
                </apx-chart>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <hr>
                <div class="row">
                  <div class="col-md-12">
                    <small class="d-flex align-items-center">
                      <i class="mdi mdi-account-tie-outline mdi-18px"></i>&nbsp;Masculino
                      <span class="badge badge-teal ml-auto">
                        {{ residenteGenero.masculino | percent:'2.1-1' || '0' }}
                      </span>
                    </small>
                    <div class="progress progress-sm">
                      <div class="progress-bar bg-teal" [style]="'width:'+[residenteGenero.masculino * 100]+'%'"></div>
                    </div>
                  </div>
                </div>
                <div class="row my-1">
                  <div class="col-md-12">
                    <small class="d-flex align-items-center">
                      <i class="mdi mdi-account-outline mdi-18px"></i>&nbsp;Femenino
                      <span class="badge badge-danger ml-auto">
                        {{ residenteGenero.femenino | percent:'2.1-1' || '0' }}
                      </span>
                    </small>
                    <div class="progress progress-sm">
                      <div class="progress-bar bg-danger" [style]="'width:'+[residenteGenero.femenino * 100]+'%'"></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- End Row -->
  </div>
</div>

<div class="position-absolute left-50 text-center" *ngIf="!loaded"
  style="transform: translateX(-50%); top: .5rem;">
  <span class="spinner-border text-dark mx-auto mb-2"></span>
  <div class="font-md">Cargando Datos...</div>
</div>
